Name:          jjwt
Version:       0.6.0
Release:       1%{?dist}
Summary:       JSON Web Token support for the JVM
License:       ASL 2.0
URL:           https://github.com/jwtk/jjwt
Source0:       https://github.com/jwtk/jjwt/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-failsafe-plugin)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.codehaus.gmavenplus:gmavenplus-plugin)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

# test deps
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.codehaus.groovy:groovy-all)
BuildRequires: mvn(org.easymock:easymock)
BuildRequires: mvn(org.powermock:powermock-api-easymock)
BuildRequires: mvn(org.powermock:powermock-core)
BuildRequires: mvn(org.powermock:powermock-module-junit4)

BuildArch:     noarch

%description
JJWT aims to be the easiest to use and understand library for creating and
verifying JSON Web Tokens (JWTs) on the JVM.

JJWT is a 'clean room' implementation based solely on the JWT, JWS, JWE and
JWA RFC draft specifications.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

# https://bugzilla.redhat.com/show_bug.cgi?id=837450
# com.google.android:android:4.1.1.4
%pom_remove_dep :android
rm src/main/java/io/jsonwebtoken/impl/AndroidBase64Codec.java \
 src/test/groovy/io/jsonwebtoken/impl/AndroidBase64CodecTest.groovy \
 src/test/groovy/io/jsonwebtoken/impl/DefaultTextCodecFactoryTest.groovy
sed -i "s|return new AndroidBase64Codec();|return new Base64Codec();|" \
 src/main/java/io/jsonwebtoken/impl/DefaultTextCodecFactory.java

#sed -i 's|return lcase.contains("android");|return lcase.contains(name);|' \
# src/main/java/io/jsonwebtoken/impl/DefaultTextCodecFactory.java
#sed -i 's|return lcase.contains("dalvik");|return lcase.contains(name);|' \
# src/main/java/io/jsonwebtoken/impl/DefaultTextCodecFactory.java

# Unwanted task
%pom_remove_plugin :maven-release-plugin
# Unavailable plugins
%pom_remove_plugin :cobertura-maven-plugin
%pom_remove_plugin :gmaven-plugin
%pom_add_plugin org.codehaus.gmavenplus:gmavenplus-plugin:1.5 . "
 <configuration>
   <sourceEncoding>\${project.build.sourceEncoding}</sourceEncoding>
   <targetBytecode>\${jdk.version}</targetBytecode>
   <testStubsOutputDirectory>\${project.build.directory}/generated-test-sources/groovy-stubs/test</testStubsOutputDirectory>
 </configuration>
 <executions>
  <execution>
   <goals>
    <goal>testGenerateStubs</goal>
    <goal>testCompile</goal>
   </goals>
  </execution>
 </executions>"

# AssertionError: Use assertEquals(expected, actual, delta) to compare floating-point numbers
find src/test -name "JwtParserTest\.*" -print -delete
 
%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Sep 09 2016 gil cattaneo <puntogil@libero.it> 0.6.0-1
- initial rpm

